Subject: 29.0.50; Long delay after M-x commandname

From: Eduardo Ochs <[email-masked]>
Date: Mon, 11 Oct 2021 23:44:57 -0300

I noticed that when I was invoking commands with M-x commandname and
using tab for completing parts of the name then sometimes there would
be a long delay - sometimes as long as 10 seconds, but my laptop is
quite old - between the RET and the execution of the command. This
delay was big on emacs28 and practically imperceptible on emacs27, and
it seemed that it was getting worse in more recent versions of
emacs28/29.

I discussed this on help-gnu-emacs before submitting a bug report. The
main links are these ones:

https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00232.html Edrx
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00259.html MH
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00261.html Edrx 2
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00265.html MH 2

Let me summarize. The part of "M-x commandname" that takes a long time
is the call to `execute-extended-command--shorter' - like this:

  (execute-extended-command--shorter "find-eev-quick-intro" "find-eev-qui")

Michael Heerdegen was able to reproduce the problem and profile it.
See this message:

https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00265.html MH 2

Cheers,
  Eduardo Ochs
  http://angg.twu.net/#eev

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.24, cairo version 1.16.0)
 of 2021-10-09 built on scylla
Repository revision: cc202c713be60355dbcf4e5ea87603c5e16a92db
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure --with-modules'

(etc etc)